<!DOCTYPE html>
<html lang="en">
  <head>
    <title>SRTLogFunctionalArea Enumeration Reference</title>
    <link rel="stylesheet" type="text/css" href="../css/jazzy.css" />
    <link rel="stylesheet" type="text/css" href="../css/highlight.css" />
    <meta charset='utf-8'>
    <script src="../js/jquery.min.js" defer></script>
    <script src="../js/jazzy.js" defer></script>
    
    <script src="../js/lunr.min.js" defer></script>
    <script src="../js/typeahead.jquery.js" defer></script>
    <script src="../js/jazzy.search.js" defer></script>
  </head>
  <body>
    <a name="//apple_ref/swift/Enum/SRTLogFunctionalArea" class="dashAnchor"></a>
    <a title="SRTLogFunctionalArea Enumeration Reference"></a>
    <header>
      <div class="content-wrapper">
        <p><a href="../index.html">HaishinKit 1.8.0 Docs</a> (88% documented)</p>
        <div class="header-right">
          <form role="search" action="../search.json">
            <input type="text" placeholder="Search documentation" data-typeahead>
          </form>
        </div>
      </div>
    </header>
    <div class="content-wrapper">
      <p id="breadcrumbs">
        <a href="../index.html">HaishinKit Reference</a>
        <img id="carat" src="../img/carat.png" alt=""/>
        SRTLogFunctionalArea Enumeration Reference
      </p>
    </div>
    <div class="content-wrapper">
      <nav class="sidebar">
        <ul class="nav-groups">
          <li class="nav-group-name">
            <a href="../Classes.html">Classes</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../Classes/ByteArray.html">ByteArray</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/ByteArray/Error.html">– Error</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/Event.html">Event</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/Event/Name.html">– Name</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/EventDispatcher.html">EventDispatcher</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/IOAudioCaptureUnit.html">IOAudioCaptureUnit</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/IOStream.html">IOStream</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/IOStream/ReadyState.html">– ReadyState</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/IOStreamBitRateStrategy.html">IOStreamBitRateStrategy</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/IOStreamRecorder.html">IOStreamRecorder</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/IOStreamRecorder/Error.html">– Error</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/IOStreamVideoAdaptiveBitRateStrategy.html">IOStreamVideoAdaptiveBitRateStrategy</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/IOVideoCaptureUnit.html">IOVideoCaptureUnit</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/InstanceHolder.html">InstanceHolder</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/MTHKView.html">MTHKView</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/NetClient.html">NetClient</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/NetService.html">NetService</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/NetSocket.html">NetSocket</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/PiPHKView.html">PiPHKView</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/PiPHKView.html">PiPHKView</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/RTMPConnection.html">RTMPConnection</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/RTMPConnection/Code.html">– Code</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/RTMPResponder.html">RTMPResponder</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/RTMPSharedObject.html">RTMPSharedObject</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/RTMPStream.html">RTMPStream</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/RTMPStream/Code.html">– Code</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/RTMPStream/HowToPublish.html">– HowToPublish</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/SRTConnection.html">SRTConnection</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/SRTLogger.html">SRTLogger</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/SRTStream.html">SRTStream</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/TSReader.html">TSReader</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/TSWriter.html">TSWriter</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/VideoEffect.html">VideoEffect</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../Global%20Variables.html">Global Variables</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../Global%20Variables.html#/s:10HaishinKit12kASUndefinedAA0C0Vvp">kASUndefined</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../Enums.html">Enumerations</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../Enums/DeviceUtil.html">DeviceUtil</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums/DeviceUtil.html">DeviceUtil</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums/FeatureUtil.html">FeatureUtil</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums/FeatureUtil/Name.html">– Name</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums/IOAudioMixerError.html">IOAudioMixerError</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums/IOAudioUnitError.html">IOAudioUnitError</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums/IOVideoUnitError.html">IOVideoUnitError</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums/ImageTransform.html">ImageTransform</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums/RTMPObjectEncoding.html">RTMPObjectEncoding</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums/SRTLogFunctionalArea.html">SRTLogFunctionalArea</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums/SRTLogLevel.html">SRTLogLevel</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums/SRTMode.html">SRTMode</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums/SRTSocketOption.html">SRTSocketOption</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../Extensions.html">Extensions</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../Extensions.html#/s:13SRTHaishinKit9SRTSocketC">SRTSocket</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../Protocols.html">Protocols</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../Protocols/EventDispatcherConvertible.html">EventDispatcherConvertible</a>
              </li>
              <li class="nav-group-task">
                <a href="../Protocols/IOMuxer.html">IOMuxer</a>
              </li>
              <li class="nav-group-task">
                <a href="../Protocols/IOStreamBitRateStrategyConvertible.html">IOStreamBitRateStrategyConvertible</a>
              </li>
              <li class="nav-group-task">
                <a href="../Protocols/IOStreamDelegate.html">IOStreamDelegate</a>
              </li>
              <li class="nav-group-task">
                <a href="../Protocols/IOStreamObserver.html">IOStreamObserver</a>
              </li>
              <li class="nav-group-task">
                <a href="../Protocols/IOStreamRecorderDelegate.html">IOStreamRecorderDelegate</a>
              </li>
              <li class="nav-group-task">
                <a href="../Protocols/IOStreamView.html">IOStreamView</a>
              </li>
              <li class="nav-group-task">
                <a href="../Protocols/RTMPConnectionDelegate.html">RTMPConnectionDelegate</a>
              </li>
              <li class="nav-group-task">
                <a href="../Protocols/Running.html">Running</a>
              </li>
              <li class="nav-group-task">
                <a href="../Protocols/TSReaderDelegate.html">TSReaderDelegate</a>
              </li>
              <li class="nav-group-task">
                <a href="../Protocols/TSWriterDelegate.html">TSWriterDelegate</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../Structs.html">Structures</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../Structs/ASArray.html">ASArray</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/ASTypedObject.html">ASTypedObject</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/ASUndefined.html">ASUndefined</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/ASXML.html">ASXML</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/ASXMLDocument.html">ASXMLDocument</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/Atomic.html">Atomic</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/AudioCodecSettings.html">AudioCodecSettings</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/IOAudioMixerSettings.html">IOAudioMixerSettings</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/IOAudioMixerTrackSettings.html">IOAudioMixerTrackSettings</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/IOStreamBitRateStats.html">IOStreamBitRateStats</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/IOVideoMixerSettings.html">IOVideoMixerSettings</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/IOVideoMixerSettings/Mode.html">– Mode</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/RTMPStreamInfo.html">RTMPStreamInfo</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/SRTPerformanceData.html">SRTPerformanceData</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/SoundTransform.html">SoundTransform</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/VTSessionOption.html">VTSessionOption</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/VideoCodecSettings.html">VideoCodecSettings</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/VideoCodecSettings/BitRateMode.html">– BitRateMode</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/VideoCodecSettings/ScalingMode.html">– ScalingMode</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../Typealiases.html">Type Aliases</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../Typealiases.html#/s:10HaishinKit8ASObjecta">ASObject</a>
              </li>
              <li class="nav-group-task">
                <a href="../Typealiases.html#/s:10HaishinKit32IOAudioCaptureConfigurationBlocka">IOAudioCaptureConfigurationBlock</a>
              </li>
              <li class="nav-group-task">
                <a href="../Typealiases.html#/s:10HaishinKit32IOVideoCaptureConfigurationBlocka">IOVideoCaptureConfigurationBlock</a>
              </li>
            </ul>
          </li>
        </ul>
      </nav>
      <article class="main-content">
        <section>
          <section class="section">
            <h1>SRTLogFunctionalArea</h1>
              <div class="declaration">
                <div class="language">
                  
                  <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">enum</span> <span class="kt">SRTLogFunctionalArea</span> <span class="p">:</span> <span class="kt">Int32</span></code></pre>

                </div>
              </div>
            
          </section>
          <section class="section task-group-section">
            <div class="task-group">
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:13SRTHaishinKit20SRTLogFunctionalAreaO7generalyA2CmF"></a>
                    <a name="//apple_ref/swift/Element/general" class="dashAnchor"></a>
                    <a class="token" href="#/s:13SRTHaishinKit20SRTLogFunctionalAreaO7generalyA2CmF">general</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>General uncategorized log, for serious issues only</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="k">case</span> <span class="n">general</span> <span class="o">=</span> <span class="mi">0</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:13SRTHaishinKit20SRTLogFunctionalAreaO6bstatsyA2CmF"></a>
                    <a name="//apple_ref/swift/Element/bstats" class="dashAnchor"></a>
                    <a class="token" href="#/s:13SRTHaishinKit20SRTLogFunctionalAreaO6bstatsyA2CmF">bstats</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Socket create/open/close/configure activities</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="k">case</span> <span class="n">bstats</span> <span class="o">=</span> <span class="mi">1</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:13SRTHaishinKit20SRTLogFunctionalAreaO7controlyA2CmF"></a>
                    <a name="//apple_ref/swift/Element/control" class="dashAnchor"></a>
                    <a class="token" href="#/s:13SRTHaishinKit20SRTLogFunctionalAreaO7controlyA2CmF">control</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Connection establishment and handshake</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="k">case</span> <span class="n">control</span> <span class="o">=</span> <span class="mi">2</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:13SRTHaishinKit20SRTLogFunctionalAreaO4datayA2CmF"></a>
                    <a name="//apple_ref/swift/Element/data" class="dashAnchor"></a>
                    <a class="token" href="#/s:13SRTHaishinKit20SRTLogFunctionalAreaO4datayA2CmF">data</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>The checkTimer and around activities</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="k">case</span> <span class="n">data</span> <span class="o">=</span> <span class="mi">3</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:13SRTHaishinKit20SRTLogFunctionalAreaO5tsbpdyA2CmF"></a>
                    <a name="//apple_ref/swift/Element/tsbpd" class="dashAnchor"></a>
                    <a class="token" href="#/s:13SRTHaishinKit20SRTLogFunctionalAreaO5tsbpdyA2CmF">tsbpd</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>The TsBPD thread</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="k">case</span> <span class="n">tsbpd</span> <span class="o">=</span> <span class="mi">4</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:13SRTHaishinKit20SRTLogFunctionalAreaO4rsrcyA2CmF"></a>
                    <a name="//apple_ref/swift/Element/rsrc" class="dashAnchor"></a>
                    <a class="token" href="#/s:13SRTHaishinKit20SRTLogFunctionalAreaO4rsrcyA2CmF">rsrc</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>System resource allocation and management</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="k">case</span> <span class="n">rsrc</span> <span class="o">=</span> <span class="mi">5</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:13SRTHaishinKit20SRTLogFunctionalAreaO8haicryptyA2CmF"></a>
                    <a name="//apple_ref/swift/Element/haicrypt" class="dashAnchor"></a>
                    <a class="token" href="#/s:13SRTHaishinKit20SRTLogFunctionalAreaO8haicryptyA2CmF">haicrypt</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Haicrypt module area</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="k">case</span> <span class="n">haicrypt</span> <span class="o">=</span> <span class="mi">6</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:13SRTHaishinKit20SRTLogFunctionalAreaO7congestyA2CmF"></a>
                    <a name="//apple_ref/swift/Element/congest" class="dashAnchor"></a>
                    <a class="token" href="#/s:13SRTHaishinKit20SRTLogFunctionalAreaO7congestyA2CmF">congest</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Congestion control module</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="k">case</span> <span class="n">congest</span> <span class="o">=</span> <span class="mi">7</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:13SRTHaishinKit20SRTLogFunctionalAreaO7pfilteryA2CmF"></a>
                    <a name="//apple_ref/swift/Element/pfilter" class="dashAnchor"></a>
                    <a class="token" href="#/s:13SRTHaishinKit20SRTLogFunctionalAreaO7pfilteryA2CmF">pfilter</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Packet filter module</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="k">case</span> <span class="n">pfilter</span> <span class="o">=</span> <span class="mi">8</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:13SRTHaishinKit20SRTLogFunctionalAreaO6applogyA2CmF"></a>
                    <a name="//apple_ref/swift/Element/applog" class="dashAnchor"></a>
                    <a class="token" href="#/s:13SRTHaishinKit20SRTLogFunctionalAreaO6applogyA2CmF">applog</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Applications</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="k">case</span> <span class="n">applog</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:13SRTHaishinKit20SRTLogFunctionalAreaO7apiCtrlyA2CmF"></a>
                    <a name="//apple_ref/swift/Element/apiCtrl" class="dashAnchor"></a>
                    <a class="token" href="#/s:13SRTHaishinKit20SRTLogFunctionalAreaO7apiCtrlyA2CmF">apiCtrl</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>API part for socket and library managmenet</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="k">case</span> <span class="n">apiCtrl</span> <span class="o">=</span> <span class="mi">11</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:13SRTHaishinKit20SRTLogFunctionalAreaO7queCtrlyA2CmF"></a>
                    <a name="//apple_ref/swift/Element/queCtrl" class="dashAnchor"></a>
                    <a class="token" href="#/s:13SRTHaishinKit20SRTLogFunctionalAreaO7queCtrlyA2CmF">queCtrl</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Queue control activities</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="k">case</span> <span class="n">queCtrl</span> <span class="o">=</span> <span class="mi">13</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:13SRTHaishinKit20SRTLogFunctionalAreaO8epollUpdyA2CmF"></a>
                    <a name="//apple_ref/swift/Element/epollUpd" class="dashAnchor"></a>
                    <a class="token" href="#/s:13SRTHaishinKit20SRTLogFunctionalAreaO8epollUpdyA2CmF">epollUpd</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>EPoll, internal update activities</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="k">case</span> <span class="n">epollUpd</span> <span class="o">=</span> <span class="mi">16</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:13SRTHaishinKit20SRTLogFunctionalAreaO7apiRecvyA2CmF"></a>
                    <a name="//apple_ref/swift/Element/apiRecv" class="dashAnchor"></a>
                    <a class="token" href="#/s:13SRTHaishinKit20SRTLogFunctionalAreaO7apiRecvyA2CmF">apiRecv</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>API part for receiving</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="k">case</span> <span class="n">apiRecv</span> <span class="o">=</span> <span class="mi">21</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:13SRTHaishinKit20SRTLogFunctionalAreaO7bufRecvyA2CmF"></a>
                    <a name="//apple_ref/swift/Element/bufRecv" class="dashAnchor"></a>
                    <a class="token" href="#/s:13SRTHaishinKit20SRTLogFunctionalAreaO7bufRecvyA2CmF">bufRecv</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Buffer, receiving side</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="k">case</span> <span class="n">bufRecv</span> <span class="o">=</span> <span class="mi">22</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:13SRTHaishinKit20SRTLogFunctionalAreaO7queRecvyA2CmF"></a>
                    <a name="//apple_ref/swift/Element/queRecv" class="dashAnchor"></a>
                    <a class="token" href="#/s:13SRTHaishinKit20SRTLogFunctionalAreaO7queRecvyA2CmF">queRecv</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Queue, receiving side</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="k">case</span> <span class="n">queRecv</span> <span class="o">=</span> <span class="mi">23</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:13SRTHaishinKit20SRTLogFunctionalAreaO8chanRecvyA2CmF"></a>
                    <a name="//apple_ref/swift/Element/chanRecv" class="dashAnchor"></a>
                    <a class="token" href="#/s:13SRTHaishinKit20SRTLogFunctionalAreaO8chanRecvyA2CmF">chanRecv</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>CChannel, receiving side</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="k">case</span> <span class="n">chanRecv</span> <span class="o">=</span> <span class="mi">24</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:13SRTHaishinKit20SRTLogFunctionalAreaO7grpRecvyA2CmF"></a>
                    <a name="//apple_ref/swift/Element/grpRecv" class="dashAnchor"></a>
                    <a class="token" href="#/s:13SRTHaishinKit20SRTLogFunctionalAreaO7grpRecvyA2CmF">grpRecv</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Group, receiving side</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="k">case</span> <span class="n">grpRecv</span> <span class="o">=</span> <span class="mi">25</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:13SRTHaishinKit20SRTLogFunctionalAreaO7apiSendyA2CmF"></a>
                    <a name="//apple_ref/swift/Element/apiSend" class="dashAnchor"></a>
                    <a class="token" href="#/s:13SRTHaishinKit20SRTLogFunctionalAreaO7apiSendyA2CmF">apiSend</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>API part for sending</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="k">case</span> <span class="n">apiSend</span> <span class="o">=</span> <span class="mi">31</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:13SRTHaishinKit20SRTLogFunctionalAreaO7bufSendyA2CmF"></a>
                    <a name="//apple_ref/swift/Element/bufSend" class="dashAnchor"></a>
                    <a class="token" href="#/s:13SRTHaishinKit20SRTLogFunctionalAreaO7bufSendyA2CmF">bufSend</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Buffer, sending side</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="k">case</span> <span class="n">bufSend</span> <span class="o">=</span> <span class="mi">32</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:13SRTHaishinKit20SRTLogFunctionalAreaO7queSendyA2CmF"></a>
                    <a name="//apple_ref/swift/Element/queSend" class="dashAnchor"></a>
                    <a class="token" href="#/s:13SRTHaishinKit20SRTLogFunctionalAreaO7queSendyA2CmF">queSend</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Queue, sending side</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="k">case</span> <span class="n">queSend</span> <span class="o">=</span> <span class="mi">33</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:13SRTHaishinKit20SRTLogFunctionalAreaO7chnSendyA2CmF"></a>
                    <a name="//apple_ref/swift/Element/chnSend" class="dashAnchor"></a>
                    <a class="token" href="#/s:13SRTHaishinKit20SRTLogFunctionalAreaO7chnSendyA2CmF">chnSend</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>CChannel, sending side</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="k">case</span> <span class="n">chnSend</span> <span class="o">=</span> <span class="mi">34</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:13SRTHaishinKit20SRTLogFunctionalAreaO7grpSendyA2CmF"></a>
                    <a name="//apple_ref/swift/Element/grpSend" class="dashAnchor"></a>
                    <a class="token" href="#/s:13SRTHaishinKit20SRTLogFunctionalAreaO7grpSendyA2CmF">grpSend</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Group, sending side</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="k">case</span> <span class="n">grpSend</span> <span class="o">=</span> <span class="mi">35</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:13SRTHaishinKit20SRTLogFunctionalAreaO8internalyA2CmF"></a>
                    <a name="//apple_ref/swift/Element/internal" class="dashAnchor"></a>
                    <a class="token" href="#/s:13SRTHaishinKit20SRTLogFunctionalAreaO8internalyA2CmF">internal</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Internal activities not connected directly to a socket</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="k">case</span> <span class="err">`</span><span class="kd">internal</span><span class="err">`</span> <span class="o">=</span> <span class="mi">41</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:13SRTHaishinKit20SRTLogFunctionalAreaO7queMgmtyA2CmF"></a>
                    <a name="//apple_ref/swift/Element/queMgmt" class="dashAnchor"></a>
                    <a class="token" href="#/s:13SRTHaishinKit20SRTLogFunctionalAreaO7queMgmtyA2CmF">queMgmt</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Queue, management part</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="k">case</span> <span class="n">queMgmt</span> <span class="o">=</span> <span class="mi">43</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:13SRTHaishinKit20SRTLogFunctionalAreaO7chnMgmtyA2CmF"></a>
                    <a name="//apple_ref/swift/Element/chnMgmt" class="dashAnchor"></a>
                    <a class="token" href="#/s:13SRTHaishinKit20SRTLogFunctionalAreaO7chnMgmtyA2CmF">chnMgmt</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>CChannel, management part</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="k">case</span> <span class="n">chnMgmt</span> <span class="o">=</span> <span class="mi">44</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:13SRTHaishinKit20SRTLogFunctionalAreaO7grpMgmtyA2CmF"></a>
                    <a name="//apple_ref/swift/Element/grpMgmt" class="dashAnchor"></a>
                    <a class="token" href="#/s:13SRTHaishinKit20SRTLogFunctionalAreaO7grpMgmtyA2CmF">grpMgmt</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Group, management part</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="k">case</span> <span class="n">grpMgmt</span> <span class="o">=</span> <span class="mi">45</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:13SRTHaishinKit20SRTLogFunctionalAreaO8epollApiyA2CmF"></a>
                    <a name="//apple_ref/swift/Element/epollApi" class="dashAnchor"></a>
                    <a class="token" href="#/s:13SRTHaishinKit20SRTLogFunctionalAreaO8epollApiyA2CmF">epollApi</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>EPoll, API part</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="k">case</span> <span class="n">epollApi</span> <span class="o">=</span> <span class="mi">46</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
          </section>
        </section>
        <section id="footer">
          <p>&copy; 2024 <a class="link" href="https://github.com/shogo4405/HaishinKit.swift" target="_blank" rel="external noopener">shogo4405</a>. All rights reserved. (Last updated: 2024-04-22)</p>
          <p>Generated by <a class="link" href="https://github.com/realm/jazzy" target="_blank" rel="external noopener">jazzy ♪♫ v0.14.4</a>, a <a class="link" href="https://realm.io" target="_blank" rel="external noopener">Realm</a> project.</p>
        </section>
      </article>
    </div>
  </body>
</html>
